"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function isSafeObjectKey(key) {
    if (key.length === 0) {
        return false;
    }
    if (!key[0].match(/[a-z]/i)) {
        return false;
    }
    for (var i = 1; i < key.length; i++) {
        if (!key[i].match(/[a-z]|[0-9]|_/i)) {
            return false;
        }
    }
    return true;
}
function toObjectKey(key) {
    if (isSafeObjectKey(key)) {
        return key;
    }
    return JSON.stringify(key);
}
exports.toObjectKey = toObjectKey;
//# sourceMappingURL=object-key.js.map